@use "../../style/miam.scss";

.miam-recipe-tags__container {
  display: flex;
  transition: height 250ms cubic-bezier(0, 0, 0.2, 1);
  overflow: hidden;
  padding: 0 8px;
  margin-top: 16px;

  .miam-recipe-tags__container__list {
    display: flex;
    flex-wrap: wrap;
    gap: 8px;
    flex: 1 1;
    .miam-recipe-tags__list__badge {
      display: flex;
      align-items: center;
      padding: 0px 8px 0px 0px;
      height: 24px;
      border: 1px solid #e9e9e9;
      box-sizing: border-box;
      border-radius: 100px;
      cursor: pointer;
      position: relative;
    
      .miam-recipe-tags__badge__icon {
        padding: 4px 8px;
        background: var(--m-color-primary);
        border-radius: 100px 0px 0px 100px;
        flex: none;
        order: 0;
        flex-grow: 0;
      }

      .miam-recipe-tag__badge__text {
        font-size: 12px;
        line-height: 16px;
        color: #676767;
        flex: none;
        order: 1;
        flex-grow: 0;
        margin: 0px 8px;
      }
    }
  }
  .miam-recipe-tags__container__toggle {
    display: flex;
    flex-direction: column;
    align-items: center;
    width: 80px;
    visibility:visible;

    &.miam-recipe-tags__container__toggle__hidden{
      visibility: hidden;
    }

    .miam-recipe-tags__toggle__open {
      display: flex;
      justify-content: center;
      padding: 4px 8px;
      height: 24px;
      background: #f6f6f6;
      min-width: 40px;
      border-radius: 100px;
      cursor: pointer;
    }

    .miam-recipe-tags__toggle__ligne{
      width: 2px;
      flex: 1;
      background-color: var(--m-color-grey);;
      transform: height 1s linear;
    }
    .miam-recipe-tags__toggle__close {
      background:var(--m-color-primary);
      min-width: 40px;
      cursor: pointer;
      border-radius: 100px;
      transition: opacity 200ms linear;
      ng-miam-icon{
        .icon-container{
          transform: rotate(180deg);
        } 
      }
    }
  }
}
